# Fedora megi-kernel loader script

if test ${mmc_bootdev} -eq 0 ; then
	echo "Booting from SD";
	setenv bootdev 0;
else
	echo "Booting from eMMC";
	setenv bootdev 2;
fi;

## use this for debugging
setenv bootargs console=ttyS0,115200 console=tty1 root=/dev/mmcblk${bootdev}p2 rootfstype=f2fs rw rootwait panic=5 loglevel=15

## use this for GUI (Plymouth) boot
#setenv bootargs console=ttyS0,115200 root=/dev/mmcblk${bootdev}p2 rootfstype=f2fs rw rootwait quiet splash rhgb plymouth.ignore-serial-consoles

# printenv

echo Loading DTB
load mmc ${mmc_bootdev}:1 ${fdt_addr_r} ${fdtfile}

echo Loading Kernel
load mmc ${mmc_bootdev}:1 ${kernel_addr_r} Image

echo Resizing FDT
fdt addr ${fdt_addr_r}
fdt resize

echo Booting kernel
booti ${kernel_addr_r} - ${fdt_addr_r}
